"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var platform_browser_1 = require("@angular/platform-browser");
var core_1 = require("@angular/core");
var router_1 = require("@angular/router");
var forms_1 = require("@angular/forms");
var app_component_1 = require("./app.component");
var app_routes_1 = require("./app.routes");
var animations_1 = require("@angular/platform-browser/animations");
var angular_1 = require("@clr/angular");
var detail_module_1 = require("./detail/detail.module");
var common_1 = require("@angular/common");
var common_service_1 = require("./common/common.service");
var common_service_module_1 = require("./common/common.service.module");
var ng_bootstrap_1 = require("@ng-bootstrap/ng-bootstrap");
var org_interface_1 = require("./common/interface/org.interface");
var post_interface_1 = require("./common/interface/post.interface");
var __1 = require("../..");
//import {TreeModule} from 'angular-tree-component';
var AppModule = /** @class */ (function () {
    function AppModule() {
    }
    AppModule = __decorate([
        core_1.NgModule({
            declarations: [
                app_component_1.AppComponent
            ],
            imports: [
                platform_browser_1.BrowserModule,
                __1.PluginModule,
                //TreeModule,
                /*DemoModule,*/
                detail_module_1.DetailModule,
                forms_1.FormsModule,
                common_1.CommonModule,
                common_service_module_1.CommonServiceModule,
                angular_1.ClarityModule,
                ng_bootstrap_1.NgbModule.forRoot(),
                animations_1.BrowserAnimationsModule,
                router_1.RouterModule.forRoot(app_routes_1.routes, { useHash: true }),
            ],
            providers: [
                common_service_1.CommonService,
                org_interface_1.OrgInterface,
                post_interface_1.PostInterface,
            ],
            bootstrap: [app_component_1.AppComponent],
            entryComponents: []
        })
    ], AppModule);
    return AppModule;
}());
exports.AppModule = AppModule;
//# sourceMappingURL=app.module.js.map