import { OnDestroy, OnInit } from '@angular/core';
import { NgbModal } from '@ng-bootstrap/ng-bootstrap';
import { OrgInterface } from '../../../common/interface/org.interface';
export declare class OrganizationManagementComponent implements OnInit, OnDestroy {
    private orgInterface;
    private modalService;
    constructor(orgInterface: OrgInterface, modalService: NgbModal);
    nodeViewType: string;
    mockData: any[];
    treeOptions: {
        actionBtn: ({
            text: string;
            cls: string;
            showText: boolean;
            fn: (nodeData: any) => void;
            rootHide?: undefined;
        } | {
            text: string;
            cls: string;
            showText: boolean;
            rootHide: boolean;
            fn: (nodeData: any) => void;
        })[];
        iconCls: {
            expand: string;
            file: string;
            folder: string;
        };
    };
    selectOrgData: any;
    currentOrgData: any;
    parentOrgForAdd: any;
    treeSearch: {
        text: string;
        searching: boolean;
        result: any[];
    };
    getOrgTreePromisse: any;
    addOrgPromisse: any;
    editOrgPromisse: any;
    delOrgPromisse: any;
    getOrgPromisse: any;
    tree: any;
    ngOnInit(): void;
    ngOnDestroy(): void;
    destroyPromisse(): void;
    getOrgTreeData(): void;
    nodeClick(nodeData: any): void;
    queryOrgElement(nodeData: any): void;
    changeCurrentOrgData(data: any): void;
    delOrgElement(nodeData: any): void;
    addOrgElement(item: any): void;
    searchTreeNode(ev: any): void;
    resetTreeSearch(): void;
    saveOrgElement(data: any): void;
}
