import { OnInit } from '@angular/core';
import { NgbModal } from '@ng-bootstrap/ng-bootstrap';
import { OrgInterface } from '../../../common/interface/org.interface';
import { PostInterface } from '../../../common/interface/post.interface';
export declare class PostManagementComponent implements OnInit {
    private orgInterface;
    private modalService;
    private postInterface;
    constructor(orgInterface: OrgInterface, modalService: NgbModal, postInterface: PostInterface);
    mockData: any[];
    treeOptions: {
        iconCls: {
            expand: string;
            file: string;
            folder: string;
        };
    };
    selectOrgData: any;
    currentOrgData: any;
    treeSearch: {
        text: string;
        searching: boolean;
        result: any[];
    };
    tree: any;
    ngOnInit(): void;
    getOrgTreeData(): void;
    nodeClick(nodeData: any): void;
    changeCurrentOrgData(data: any): void;
    searchTreeNode(ev: any): void;
    resetTreeSearch(): void;
}
