"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var router_1 = require("@angular/router");
var announcement_component_1 = require("./announcement.component");
var news_component_1 = require("../../detail/announcement/news/news.component");
var platform_component_1 = require("../../detail/announcement/platform/platform.component");
var questionnaire_component_1 = require("../../detail/announcement/questionnaire/questionnaire.component");
var common_service_module_1 = require("../../common/common.service.module");
var common_1 = require("@angular/common");
var http_1 = require("@angular/http");
var test_1 = require("./test");
var __1 = require("../../../..");
var AnnouncementModule = /** @class */ (function () {
    function AnnouncementModule() {
    }
    AnnouncementModule = __decorate([
        core_1.NgModule({
            imports: [
                common_1.CommonModule,
                common_service_module_1.CommonServiceModule,
                http_1.HttpModule,
                __1.PluginModule,
                router_1.RouterModule.forChild([
                    {
                        path: '',
                        component: announcement_component_1.AnnouncementComponent,
                        children: [
                            {
                                path: 'news',
                                component: news_component_1.NewsComponent
                            },
                            {
                                path: 'platform',
                                component: platform_component_1.PlatformComponent
                            },
                            {
                                path: 'questionnaire',
                                component: questionnaire_component_1.QuestionnaireComponent
                            },
                            {
                                path: '',
                                redirectTo: 'news'
                            }
                        ]
                    },
                ])
            ],
            providers: [],
            declarations: [
                announcement_component_1.AnnouncementComponent,
                news_component_1.NewsComponent,
                platform_component_1.PlatformComponent,
                questionnaire_component_1.QuestionnaireComponent,
                test_1.TestComponent,
            ],
            entryComponents: [
                test_1.TestComponent,
            ],
            exports: [
                announcement_component_1.AnnouncementComponent
            ],
        })
    ], AnnouncementModule);
    return AnnouncementModule;
}());
exports.AnnouncementModule = AnnouncementModule;
//# sourceMappingURL=announcement.module.js.map