"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var router_1 = require("@angular/router");
var common_service_module_1 = require("../../common/common.service.module");
var common_1 = require("@angular/common");
var system_management_component_1 = require("./system.management.component");
var organization_management_component_1 = require("../../detail/system-management/organization/organization.management.component");
var organization_detail_component_1 = require("../../detail/system-management/organization/organization-detail/organization.detail.component");
var forms_1 = require("@angular/forms");
var user_management_component_1 = require("../../detail/system-management/user/user.management.component");
var role_management_component_1 = require("../../detail/system-management/role/role.management.component");
var post_management_component_1 = require("../../detail/system-management/post/post.management.component");
var post_detail_component_1 = require("../../detail/system-management/post/post-detail/post.detail.component");
var post_edit_component_1 = require("../../detail/system-management/post/post-edit/post.edit.component");
var post_add_component_1 = require("../../detail/system-management/post/post-add/post.add.component");
var post_info_user_component_1 = require("../../detail/system-management/post/post-edit/post-info-user/post.info.user.component");
var post_info_basic_component_1 = require("../../detail/system-management/post/post-edit/post-info-basic/post.info.basic.component");
var __1 = require("../../../..");
var SystemManagementModule = /** @class */ (function () {
    function SystemManagementModule() {
    }
    SystemManagementModule = __decorate([
        core_1.NgModule({
            imports: [
                common_1.CommonModule,
                forms_1.FormsModule,
                __1.PluginModule,
                common_service_module_1.CommonServiceModule,
                router_1.RouterModule.forChild([
                    {
                        path: '',
                        component: system_management_component_1.SystemManagementComponent,
                        children: [
                            {
                                path: 'organization',
                                component: organization_management_component_1.OrganizationManagementComponent
                            }, {
                                path: 'user',
                                component: user_management_component_1.UserManagementComponent
                            }, {
                                path: 'role',
                                component: role_management_component_1.RoleManagementComponent
                            }, {
                                path: 'post',
                                component: post_management_component_1.PostManagementComponent
                            }, {
                                path: '',
                                redirectTo: 'organization'
                            }
                        ]
                    },
                ])
            ],
            providers: [],
            declarations: [
                system_management_component_1.SystemManagementComponent,
                organization_management_component_1.OrganizationManagementComponent,
                organization_detail_component_1.OrganizationDetailComponent,
                user_management_component_1.UserManagementComponent,
                role_management_component_1.RoleManagementComponent,
                post_management_component_1.PostManagementComponent,
                post_detail_component_1.PostDetailComponent,
                post_edit_component_1.PostEditComponent,
                post_add_component_1.PostAddComponent,
                post_info_user_component_1.PostInfoUserComponent,
                post_info_basic_component_1.PostInfoBasicComponent,
            ],
            exports: [
                system_management_component_1.SystemManagementComponent,
            ],
            entryComponents: [
                post_edit_component_1.PostEditComponent,
                post_add_component_1.PostAddComponent,
                post_info_user_component_1.PostInfoUserComponent,
                post_info_basic_component_1.PostInfoBasicComponent,
            ]
        })
    ], SystemManagementModule);
    return SystemManagementModule;
}());
exports.SystemManagementModule = SystemManagementModule;
//# sourceMappingURL=system.management.module.js.map