var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { ComponentFactoryResolver, Injectable, ApplicationRef, Injector } from '@angular/core';
import { DrawComponent } from "./draw.component";
let DrawService = class DrawService {
    constructor(resolver, applicationRef, injector) {
        this.resolver = resolver;
        this.applicationRef = applicationRef;
        this.injector = injector;
    }
    open(data) {
        if (this.component != null) {
            return;
        }
        this.component = this.resolver.resolveComponentFactory(DrawComponent);
        let node = document.body.insertBefore(document.createElement(this.component.selector), document.body.firstChild);
        this.ref = this.component.create(this.injector, [], node);
        let instance = this.ref.instance;
        instance.injectComponet = data.component;
        instance.data = data.data;
        this.applicationRef.attachView(this.ref.hostView);
        this.promise = new Promise(resolve => {
            instance.closeResolve = resolve;
        });
        this.promise.then(r => {
            this.ref.destroy();
            this.component = null;
            this.ref = null;
            this.promise = null;
        });
    }
};
DrawService = __decorate([
    Injectable(),
    __metadata("design:paramtypes", [ComponentFactoryResolver, ApplicationRef, Injector])
], DrawService);
export { DrawService };
//# sourceMappingURL=draw.service.js.map