var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Injectable } from '@angular/core';
import { Http, Headers } from '@angular/http';
import 'rxjs/add/operator/map';
let HttpService = class HttpService {
    constructor(http) {
        this.http = http;
        this.passHeader = new Headers();
        this.passHeader.append('Access-Control-Allow-Credentials', 'true');
        this.passHeader.append('Access-Control-Allow-Origin', '*');
        this.passHeader.append('Access-Control-Allow-Methods', 'PUT,POST,GET,DELETE,OPTIONS');
        this.passHeader.append('Content-Type', 'application/json;charset=utf-8');
    }
    getData(conf) {
        return this.requestFn('get', conf);
    }
    postData(conf) {
        return this.requestFn('post', conf);
    }
    requestFn(method, conf) {
        const url = conf.url || 'http://192.168.94.166:8443/v1/user/whoami?name=jfdf';
        let data = conf.data;
        let options = {
            headers: this.passHeader,
            search: conf.search || {},
        };
        if (!data) {
            data = options;
            options = null;
        }
        return this.http[method](url, data, options).map((responese) => {
            const res = responese.json();
            if (!res || res.status !== 'success') {
                throw res;
            }
            return res;
        });
    }
};
HttpService = __decorate([
    Injectable(),
    __metadata("design:paramtypes", [Http])
], HttpService);
export { HttpService };
//# sourceMappingURL=http.service.js.map