var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Component, Input } from '@angular/core';
let TableColumnComponent = class TableColumnComponent {
    constructor() { }
    ngOnInit() {
        if (this.header.field == this.field) {
            this.show = true;
        }
    }
};
__decorate([
    Input(),
    __metadata("design:type", Object)
], TableColumnComponent.prototype, "header", void 0);
__decorate([
    Input(),
    __metadata("design:type", Object)
], TableColumnComponent.prototype, "data", void 0);
__decorate([
    Input(),
    __metadata("design:type", Object)
], TableColumnComponent.prototype, "width", void 0);
__decorate([
    Input(),
    __metadata("design:type", String)
], TableColumnComponent.prototype, "field", void 0);
TableColumnComponent = __decorate([
    Component({
        selector: 'dc-table-column',
        template: `
  <div *ngIf="show" class="table-font" [style.width]="width">
    <ng-content></ng-content>
  </div>
  `,
        styles: [
            '.table-font {' +
                'font-size: 12px;' +
                'line-height: 12px;' +
                'white-space: nowrap;' +
                'overflow: hidden;' +
                'text-overflow: ellipsis;}',
        ]
    }),
    __metadata("design:paramtypes", [])
], TableColumnComponent);
export { TableColumnComponent };
//# sourceMappingURL=column.component.js.map