import { EventEmitter, OnInit, TemplateRef, ElementRef } from '@angular/core';
import { Router } from '@angular/router';
import { TableColumnComponent } from './column.component';
export declare class TableComponent implements OnInit {
    private router;
    template: TemplateRef<TableColumnComponent>;
    filterTemplate: any;
    tableContainer: ElementRef;
    headers: Array<any>;
    _datas: any;
    datas: any;
    checkBox: boolean;
    sortEvent: EventEmitter<number>;
    checkEvent: EventEmitter<any>;
    nowSort: any;
    allSelect: boolean;
    checks: Array<boolean>;
    checks_data: any[];
    currentField: any;
    initWidth: any;
    constructor(router: Router);
    ngOnInit(): void;
    setWidth(width: any): any;
    private initCheck();
    ngAfterContentInit(): void;
    allSelectCheck(): void;
    checkSelect(): void;
    checkOption(event: any, k: any, header: any): void;
    private sendCheckOption(header);
    private sendCheckEvent();
    sort(header: any): void;
    showFilter: any[];
    showFilterBox(event: any, header: any): void;
    clickFilter(event: any, header: any): void;
    onDocumentClick($event: any): void;
}
