"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var home_component_1 = require("./home.component");
var router_1 = require("@angular/router");
var common_service_module_1 = require("../common/common.service.module");
var banner_component_1 = require("./banner/banner.component");
var forms_1 = require("@angular/forms");
var ng_bootstrap_1 = require("@ng-bootstrap/ng-bootstrap");
var HomeModule = /** @class */ (function () {
    function HomeModule() {
    }
    HomeModule = __decorate([
        core_1.NgModule({
            imports: [
                common_service_module_1.CommonServiceModule,
                forms_1.FormsModule,
                ng_bootstrap_1.NgbModule,
                router_1.RouterModule.forChild([
                    {
                        path: 'home',
                        component: home_component_1.HomeComponent,
                        children: [
                            {
                                path: 'announcement',
                                loadChildren: './announcement/announcement.module#AnnouncementModule',
                            },
                            {
                                path: 'innerControl',
                                loadChildren: './inner-control/inner.control.module#InnerControlModule',
                            },
                            {
                                path: 'systemManagement',
                                loadChildren: './system-management/system.management.module#SystemManagementModule',
                            }
                        ]
                    },
                    {
                        path: '',
                        redirectTo: '/home/systemManagement/organization',
                        pathMatch: 'full'
                    },
                ])
            ],
            providers: [],
            declarations: [
                home_component_1.HomeComponent,
                banner_component_1.BannerComponent,
            ],
            exports: [
                home_component_1.HomeComponent
            ],
        })
    ], HomeModule);
    return HomeModule;
}());
exports.HomeModule = HomeModule;
//# sourceMappingURL=home.module.js.map