var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Component, EventEmitter, Input, Output } from '@angular/core';
let LeftSideComponent = class LeftSideComponent {
    constructor() {
        this.toogleSide = new EventEmitter();
        this.sideShow = true;
    }
    ngOnInit() {
    }
    toogleLeftSide() {
        this.sideShow = !this.sideShow;
        this.toogleSide.emit(this.sideShow);
    }
};
__decorate([
    Input(),
    __metadata("design:type", Object)
], LeftSideComponent.prototype, "item", void 0);
__decorate([
    Output(),
    __metadata("design:type", Object)
], LeftSideComponent.prototype, "toogleSide", void 0);
LeftSideComponent = __decorate([
    Component({
        selector: 'app-left-side',
        template: `<div [class.hideSide]="!sideShow">
  <div>
    <button (click)="toogleLeftSide()">点我隐藏left side</button>
  </div>
  <ul>
    <li *ngFor="let d of item">
      <a class="testcss" [routerLink]="[d.routLink]">
        {{d.name}}
      </a>
      <ul *ngIf="d.children">
        <li *ngFor="let dc of d.children">
          <a [routerLink]="[dc.routLink]">
            {{dc.name}}
          </a>
        </li>
      </ul>
    </li>
  </ul>
</div>
`,
        styles: [
            '.testcss {background: url("../../assets/img/gaojing.png") no-repeat left center transparent;padding-left: 20px;}',
            '.hideSide {width: 20px;overflow: hidden;}'
        ]
    }),
    __metadata("design:paramtypes", [])
], LeftSideComponent);
export { LeftSideComponent };
//# sourceMappingURL=left.side.component.js.map